import { Description } from "./Description";
import { CellActionManagerDescription } from "./CellActionManagerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class CellInfoDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private cu;
    get styleKey(): string;
    set styleKey(a: string);
    private be;
    get dataRow(): number;
    set dataRow(a: number);
    private n;
    get isPositionDirty(): boolean;
    set isPositionDirty(a: boolean);
    private r;
    get isSizeDirty(): boolean;
    set isSizeDirty(a: boolean);
    private i;
    get isContentDirty(): boolean;
    set isContentDirty(a: boolean);
    private h;
    get isBorderDirty(): boolean;
    set isBorderDirty(a: boolean);
    private l;
    get isLayerDirty(): boolean;
    set isLayerDirty(a: boolean);
    private s;
    get isStateDirty(): boolean;
    set isStateDirty(a: boolean);
    private j;
    get isDataDirty(): boolean;
    set isDataDirty(a: boolean);
    private m;
    get isPlaceholdContentNeeded(): boolean;
    set isPlaceholdContentNeeded(a: boolean);
    private f;
    get actionManager(): CellActionManagerDescription;
    set actionManager(a: CellActionManagerDescription);
    private o;
    get isRowPinned(): boolean;
    set isRowPinned(a: boolean);
    private p;
    get isRowSticky(): boolean;
    set isRowSticky(a: boolean);
    private k;
    get isLastStickyRow(): boolean;
    set isLastStickyRow(a: boolean);
    private bg;
    get indent(): number;
    set indent(a: number);
    private cp;
    get rowItemRef(): string;
    set rowItemRef(a: string);
    private am;
    get x(): number;
    set x(a: number);
    private an;
    get y(): number;
    set y(a: number);
    private bl;
    get snappedX(): number;
    set snappedX(a: number);
    private bm;
    get snappedY(): number;
    set snappedY(a: number);
    private ah;
    get contentOpacity(): number;
    set contentOpacity(a: number);
    private ai;
    get opacity(): number;
    set opacity(a: number);
    private ag;
    get actualOpacity(): number;
    set actualOpacity(a: number);
    private bf;
    get height(): number;
    set height(a: number);
    private bn;
    get width(): number;
    set width(a: number);
    private q;
    get isSelected(): boolean;
    set isSelected(a: boolean);
    private ak;
    get selectedStatus(): number;
    set selectedStatus(a: number);
    private af;
    get activationStatus(): number;
    set activationStatus(a: number);
    private cj;
    get horizontalAlignment(): string;
    set horizontalAlignment(a: string);
    private cw;
    get verticalAlignment(): string;
    set verticalAlignment(a: string);
    private ch;
    get background(): string;
    set background(a: string);
    private ci;
    get border(): string;
    set border(a: string);
    private cf;
    get actualBackground(): string;
    set actualBackground(a: string);
    private cg;
    get actualBorder(): string;
    set actualBorder(a: string);
    private ce;
    get activationBorder(): string;
    set activationBorder(a: string);
    private cq;
    get selectedBackground(): string;
    set selectedBackground(a: string);
    private cs;
    get sortIndicatorColor(): string;
    set sortIndicatorColor(a: string);
    private ct;
    get stickyRowBackground(): string;
    set stickyRowBackground(a: string);
    private cn;
    get pinnedRowBackground(): string;
    set pinnedRowBackground(a: string);
    private ck;
    get lastStickyRowBackground(): string;
    set lastStickyRowBackground(a: string);
    private aj;
    get pinnedRowOpacity(): number;
    set pinnedRowOpacity(a: number);
    private cm;
    get originalValueRef(): string;
    set originalValueRef(a: string);
    private co;
    get renderValue(): string;
    set renderValue(a: string);
    private cv;
    get textColor(): string;
    set textColor(a: string);
    private _fontFamily;
    get fontFamily(): string;
    set fontFamily(a: string);
    private _fontSize;
    get fontSize(): number;
    set fontSize(a: number);
    private _fontStyle;
    get fontStyle(): string;
    set fontStyle(a: string);
    private _fontWeight;
    get fontWeight(): string;
    set fontWeight(a: string);
    private cl;
    get lineBreakMode(): string;
    set lineBreakMode(a: string);
    private al;
    get virtualizationPercentage(): number;
    set virtualizationPercentage(a: number);
    private bi;
    get paddingLeft(): number;
    set paddingLeft(a: number);
    private bk;
    get paddingTop(): number;
    set paddingTop(a: number);
    private bj;
    get paddingRight(): number;
    set paddingRight(a: number);
    private bh;
    get paddingBottom(): number;
    set paddingBottom(a: number);
    private a7;
    get actualPaddingLeft(): number;
    set actualPaddingLeft(a: number);
    private a9;
    get actualPaddingTop(): number;
    set actualPaddingTop(a: number);
    private a8;
    get actualPaddingRight(): number;
    set actualPaddingRight(a: number);
    private a6;
    get actualPaddingBottom(): number;
    set actualPaddingBottom(a: number);
    private bb;
    get borderLeftWidth(): number;
    set borderLeftWidth(a: number);
    private bd;
    get borderTopWidth(): number;
    set borderTopWidth(a: number);
    private bc;
    get borderRightWidth(): number;
    set borderRightWidth(a: number);
    private ba;
    get borderBottomWidth(): number;
    set borderBottomWidth(a: number);
    private az;
    get activationBorderLeftWidth(): number;
    set activationBorderLeftWidth(a: number);
    private a1;
    get activationBorderTopWidth(): number;
    set activationBorderTopWidth(a: number);
    private a0;
    get activationBorderRightWidth(): number;
    set activationBorderRightWidth(a: number);
    private ay;
    get activationBorderBottomWidth(): number;
    set activationBorderBottomWidth(a: number);
    private a3;
    get actualBorderLeftWidth(): number;
    set actualBorderLeftWidth(a: number);
    private a5;
    get actualBorderTopWidth(): number;
    set actualBorderTopWidth(a: number);
    private a4;
    get actualBorderRightWidth(): number;
    set actualBorderRightWidth(a: number);
    private a2;
    get actualBorderBottomWidth(): number;
    set actualBorderBottomWidth(a: number);
    private cr;
    get sortDirection(): string;
    set sortDirection(a: string);
}
